{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-22.05";
    unstable.url = "github:nixos/nixpkgs/master";
    nur.url = "github:nix-community/NUR";
    hm-isolation.url = "github:3442/hm-isolation";

    home-manager = {
      url = "github:nix-community/home-manager/release-22.05";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  }; 

  outputs = {self, nixpkgs, unstable, home-manager, nur, hm-isolation, ...}:
  let
    packages = import ./pkgs;
  in
  {
    nixosConfigurations.posixlycorrect = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [ ( import ./base ) ];
    };
    
    homeConfigurations."fabian@posixlycorrect" = home-manager.lib.homeManagerConfiguration {
      system = "x86_64-linux";
      configuration = import ./home {inherit self nixpkgs unstable hm-isolation; };
      username = "fabian";
      homeDirectory = "/home/fabian";
      stateVersion = "21.11";
    };

    packages.x86_64-linux = packages nixpkgs.legacyPackages.x86_64-linux;

    overlay = self: super: {
      local = packages super;
    };
  };
}
