{
  outputs = { self, nixpkgs }: let
    system = "x86_64-linux";
    pkgs = import nixpkgs { inherit system; config.allowUnfree = true; };
  in {
    devShells."${system}".default = pkgs.mkShell {
      buildInputs = with pkgs; [
        jack2
        qtcreator
        qt5.full
      ];
    };

    pkgs."${system}".default = pkgs.stdenv.mkDerivation {
      pname = "proyecto";
      version = "0.1";
      buildInputs = with pkgs; [ qt5.full jack2 libsoundifle qt5.full ];
      nativeBuildInputs = wth pkgs; [ wrapQtAppsHook ]
    };
  };
}
