{ lib, vscode-utils }: with vscode-utils; {
  rust-lang.rust = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "rust-lang";
      name = "rust";
      version = "0.7.8";
      sha256 = "sha256-Y33agSNMVmaVCQdYd5mzwjiK5JTZTtzTkmSGTQrSNg0=";
    };
    meta.license = lib.licenses.mit;
  };

  sirtori.indenticator = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "sirtori";
      name = "indenticator";
      version = "0.7.0";
      sha256 = "sha256-J5iNO6V5US+GFyNjNNA5u9H2pKPozWKjQWcLAhl+BjY=";
    };
    meta.license = lib.licenses.mit;
  };
   
  Gimly81.matlab = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "Gimly81";
      name = "matlab";
      version = "2.3.1";
      sha256 = "sha256-0vx5L9efxvubb+JFunJJKaPvSxfgmYZkDJOxpXAV6xs=";
    };
    meta.license = lib.licenses.mit;
  };

  toasty-technologies.octave = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "toasty-technologies";
      name = "octave";
      version = "0.0.3";
      sha256 = "sha256-tbqblaBX+wqgasfGLsFp49xYxXi5CF39YPYs0QyANt0=";
    };
  };

  zhwu95.riscv = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "zhwu95";
      name = "riscv";
      version = "0.0.8";
      sha256 = "sha256-PXaHSEXoN0ZboHIoDg37tZ+Gv6xFXP4wGBS3YS/53TY=";
    };
  };

  tomoki1207.pdf = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "tomoki1207";
      name = "pdf";
      version = "1.2.0";
      sha256 = "sha256-/2u2yfAmSVBvfXIMt2VokkeYH8q8Y9Ca9YSDuwwpkq0=";
    };
  };

  vscode-icons-team.vscode-icons = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "vscode-icons-team";
      name = "vscode-icons";
      version = "12.0.0";
      sha256 = "sha256-TQ/GPxNgbMBVlp+KNRd+M0vMxFSAjld/CCbVS9C1DuA=";
    };
  };

  dan-c-underwood.arm = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "dan-c-underwood";
      name = "arm";
      version = "1.7.4";
      sha256 = "sha256-gZBM980AoD+0wnfHXJK9sqCuuLtRY08JnO3Qdq/TRfc=";
    };
  };

  mshr-h.VerilogHDL = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "mshr-h";
      name = "VerilogHDL";
      version = "1.5.4";
      sha256 = "sha256-WxVEP37Z+hATTOZSozYSSGtDUSMKAO/nA6ORXbpjGMU=";
    };
  };

  rashwell.tcl = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "rashwell";
      name = "tcl";
      version = "0.1.0";
      sha256 = "sha256-k8I/W3g98r/YCyIURgm7hh+0Bm0lg4Mdh/r8HsPSoX0=";
    };
  };

  xshrim.txt-syntax = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "xshrim";
      name = "txt-syntax";
      version = "0.2.1";
      sha256 = "sha256-5MOHyTHAefD4X9dpMCJ1ArxBqvHRLfFjENXkIPmAw4M=";
    };
  };

  ZixuanWang.linkerscript = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "ZixuanWang";
      name = "linkerscript";
      version = "1.0.2";
      sha256 = "sha256-J6j4tXJ+gQWGJnMiqoIqJT2kGs/m8Njjm9pX9NCvJWc=";
    };
  };

  hediet.vscode-drawio = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "hediet";
      name = "vscode-drawio";
      version = "1.6.4";
      sha256 = "sha256-+VYdFk9VCp3KnvOASJ+jJSb1NBwykBlnd8EuSKw8sKI=";
    };
  };

  aaron-bond.better-comments = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "aaron-bond";
      name = "better-comments";
      version = "3.0.2";
      sha256 = "sha256-hQmA8PWjf2Nd60v5EAuqqD8LIEu7slrNs8luc3ePgZc=";
    };
  };

  streetsidesoftware.code-spell-checker = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "streetsidesoftware";
      name = "code-spell-checker";
      version = "2.10.1";
      sha256 = "sha256-FeYkSML6QYtuIHIbAovOqlPwkKfNkHr7IdMCWwkynQ0=";
    };
  };

  wayou.vscode-todo-highlight = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "wayou";
      name = "vscode-todo-highlight";
      version = "1.0.5";
      sha256 = "sha256-CQVtMdt/fZcNIbH/KybJixnLqCsz5iF1U0k+GfL65Ok=";
    };
  };

  xaver.clang-format = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "xaver";
      name = "clang-format";
      version = "1.9.0";
      sha256 = "sha256-q9DvkXbv+GTyeMVIyUQDK49Njsl9msbnOD1gyS4ljC8=";
    };
  };

  yzhang.markdown-all-in-one = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "yzhang";
      name = "markdown-all-in-one";
      version = "3.4.4";
      sha256 = "sha256-2lZfWP+yk0Dp8INLjlJY5ROGu0sLaWhb4fT+O9xGg0s=";
    };
  };

  christian-kohler.path-intellisense = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "christian-kohler";
      name = "path-intellisense";
      version = "2.8.1";
      sha256 = "sha256-lTKzMphkGgOG2XWqz3TW2G9sISBc/kG7oXqcIH8l+Mg=";
    };
  };

  sukumo28.wav-preview = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "sukumo28";
      name = "wav-preview";
      version = "2.0.4";
      sha256 = "sha256-N7Scz3vjDws4oTMqrM3mSANeW85GGpBUY2xfZx+WezY=";
    };
  };

  oderwat.indent-rainbow = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "oderwat";
      name = "indent-rainbow";
      version = "8.3.1";
      sha256 = "sha256-dOicya0B2sriTcDSdCyhtp0Mcx5b6TUaFKVb0YU3jUc=";
    };
  };
# para obtener el sha: lib.fakeSha256
}
